---
# Use the standard OS repo and the default package by default, not pkg from Postgres site..
postgresql_use_official_repo: false

# Overwrite with version: "14", "16" etc. to use upstream packages
# With official_repos is false, use appstream module from Redhat
postgresql_version: ""
# Base name, may be extended with postgresql_version
postgresql_package: postgresql

postgresql_enabled_on_startup: true
postgresql_can_restart: true

# Postgresql configuration file
postgresql_user: postgres
postgresql_group: postgres
postgresql_root: /var/lib/pgsql
postgresql_pg_hba: "{{ postgresql_root }}/data/pg_hba.conf"
# Basic settings
postgresql_data_dir: /data_1/postgres_data
postgresql_port: 5432
postgresql_bind_address: 127.0.0.1
postgresql_log_destination: stderr
postgresql_service: postgresql.service
postgresql_setup_script: /usr/bin/postgresql-setup

postgresql_dbs: []
# - { db: db1, owner: bar, encoding: UTF-8, lc_collate: en_US.UTF-8, lc_ctype: en_US.UTF-8 }
postgresql_users: []
# - { db: db1, name: bar, contype: host, source: 127.0.0.1/32, password: "{{ vault_postgresql_foo_password }}" }
postgresql_schemas: []
# - { db: db1, name: foo, owner: bar }
postgresql_privs: []
# - { type: database, db: db1, roles: bar, privs: ALL, type: database }

# User defined parameters, anything for PostgreSQL config files. Use a list like:
# postgresql_parameters:
#   - max_connections = 500
#   - work_mem = 4GB
postgresql_parameters: []

# Backups
# Setup backup path and script
postgresql_backup_db: false
# Use cron for backups
postgresql_backup_cron: true
# Random minute 0 - 60; seed ensures random value is not changing
postgresql_backup_db_cron_min: "{{ 60 | random(seed=inventory_hostname_short) }}"
# Random hour 0 - 2
postgresql_backup_db_cron_hour: "{{ 2 | random(seed=inventory_hostname_short) }}"
postgresql_backup_db_dir: "/mnt/backup/{{ inventory_hostname_short }}"
postgresql_backup_db_rotation: 15
# set to "1>" to get only STDERR on cron
postgresql_backup_cron_std_output: "2>&1 | tee"

# Restore skipped unless this variable is overwritten
postgresql_restore_full_filepath: ""
